package domowe.r3.pracownik;

public class Pracownik {
	private int stawka;
	private int sumaGodzin = 0;
	private int sumaNadgodzin = 0;

	public Pracownik(int stawka) {
		this.stawka = stawka;
	}

	public void praca(int godziny) {
		if(godziny > 8) {
			sumaGodzin += 8;
			sumaNadgodzin += (godziny - 8);
		} else {
			sumaGodzin += godziny;
		}
	}

	public int wyplata() {
		try {
			return sumaGodzin * stawka + sumaNadgodzin * stawka * 2;
		} finally {
			sumaGodzin = 0;
			sumaNadgodzin = 0;
		}
	}
	
}
